scala.tools.nsc.typechecker.Typers.Typer

# checkNoEscaping

#### object checkNoEscaping extends Global.TypeMap

Check that type of given tree does not contain local or private components.

Linear Supertypes
Global.TypeMap, (Global.Type) ⇒ Global.Type, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. checkNoEscaping
2. TypeMap
3. Function1
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class TypeMapTransformer extends reflect.internal.SymbolTable.Transformer

   Definition Classes
     TypeMap

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def addHidden(sym: Global.Symbol): Unit

7. #### def andThen[A](g: (Global.Type) ⇒ A): (Global.Type) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

8. #### def apply(t: Global.Type): Global.Type

   Definition Classes
     checkNoEscaping → TypeMap → Function1

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def compose[A](g: (A) ⇒ Global.Type): (A) ⇒ Global.Type

    Definition Classes
      Function1
    Annotations
      @unspecialized()

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### def locals[T <: Global.Tree](scope: Global.Scope, pt: Global.Type, tree: T): T

    Check that type `tree` does not refer to entities defined in scope `scope`.

    Check that type `tree` does not refer to entities defined in scope `scope`.

    scope

      ...

    pt

      ...

    tree

      ...

    returns

      ...

19. #### def mapOver(tree: Global.Tree, giveup: () ⇒ Nothing): Global.Tree

    Definition Classes
      TypeMap

20. #### def mapOver(tree: Global.Tree): Global.Tree

    Definition Classes
      TypeMap

21. #### def mapOver(annot: Global.AnnotationInfo): Global.AnnotationInfo

    Definition Classes
      TypeMap

22. #### def mapOver(origSyms: List[Global.Symbol]): List[Global.Symbol]

    Definition Classes
      TypeMap

23. #### def mapOver(scope: Global.Scope): Global.Scope

    Definition Classes
      TypeMap

24. #### def mapOver(tp: Global.Type): Global.Type

    Definition Classes
      TypeMap

25. #### def mapOverAnnotArgs(args: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      TypeMap

26. #### def mapOverAnnotations(annots: List[Global.AnnotationInfo]): List[Global.AnnotationInfo]

    Definition Classes
      TypeMap

27. #### def mapOverArgs(args: List[Global.Type], tparams: List[Global.Symbol]): List[Global.Type]

    Attributes
      protected
    Definition Classes
      TypeMap

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### def noChangeToSymbols(origSyms: List[Global.Symbol]): Boolean

    Attributes
      protected
    Definition Classes
      TypeMap

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### def privates[T <: Global.Tree](owner: Global.Symbol, tree: T): T

    Check that type `tree` does not refer to private components unless itself is wrapped in something private (`owner` tells where the type occurs).

    Check that type `tree` does not refer to private components unless itself is wrapped in something private (`owner` tells where the type occurs).

    owner

      ...

    tree

      ...

    returns

      ...

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

35. #### def variance: Int

    Definition Classes
      TypeMap

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Global.TypeMap

### Inherited from (Global.Type) ⇒ Global.Type

### Inherited from AnyRef

### Inherited from Any

### Ungrouped